#include "include/game.h"

void Game::gameloop(){
  //This is the main game loop.
  const int target_fps = 15;
  const std::chrono::duration<double> target_frame_duration = chrono::duration<double>(1.0 / target_fps);
  auto previous_time = std::chrono::steady_clock::now();


  while(true){
    auto current_time = std::chrono::steady_clock::now();
        chrono::duration<double> elapsed_time = current_time - previous_time;

        // Game logic and rendering here
        system("clear"); 
        cout << "Frame time: " << elapsed_time.count() << " seconds" << endl;

        if (elapsed_time < target_frame_duration) {
            chrono::duration<double> sleep_time = target_frame_duration - elapsed_time;
            this_thread::sleep_for(sleep_time);
        }
        
        previous_time = chrono::steady_clock::now();
        exit(1);

  }
}
